Package jnr.constants.platform.fake

# Enum AddressFamily

java.lang.Object
java.lang.Enum<AddressFamily>
jnr.constants.platform.fake.AddressFamily

All Implemented Interfaces:
  `Serializable`, `Comparable<AddressFamily>`, `java.lang.constant.Constable`, `Constant`

public enum AddressFamily extends Enum<AddressFamily> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AF_ALG`
`AF_APPLETALK`
`AF_ATM`
`AF_AX25`
`AF_BLUETOOTH`
`AF_CAN`
`AF_CCITT`
`AF_CHAOS`
`AF_CNT`
`AF_COIP`
`AF_DATAKIT`
`AF_DECnet`
`AF_DLI`
`AF_E164`
`AF_ECMA`
`AF_HYLINK`
`AF_IB`
`AF_IMPLINK`
`AF_INET`
`AF_INET6`
`AF_IPX`
`AF_ISDN`
`AF_ISO`
`AF_KCM`
`AF_KEY`
`AF_LAT`
`AF_LINK`
`AF_LLC`
`AF_LOCAL`
`AF_MAX`
`AF_MPLS`
`AF_NATM`
`AF_NDRV`
`AF_NETBIOS`
`AF_NETGRAPH`
`AF_NETLINK`
`AF_NS`
`AF_OSI`
`AF_PPP`
`AF_PPPOX`
`AF_PUP`
`AF_RDS`
`AF_ROUTE`
`AF_SIP`
`AF_SNA`
`AF_SYSTEM`
`AF_TIPC`
`AF_UNIX`
`AF_UNSPEC`
`AF_VSOCK`
`AF_XDP`
`pseudo_AF_HDRCMPLT`
`pseudo_AF_KEY`
`pseudo_AF_PIP`
`pseudo_AF_RTIP`
`pseudo_AF_XTP`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final int`
`value()`
`static AddressFamily`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AddressFamily[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### AF_UNSPEC

public static final AddressFamily AF_UNSPEC

### AF_LOCAL

public static final AddressFamily AF_LOCAL

### AF_UNIX

public static final AddressFamily AF_UNIX

### AF_INET

public static final AddressFamily AF_INET

### AF_IMPLINK

public static final AddressFamily AF_IMPLINK

### AF_PUP

public static final AddressFamily AF_PUP

### AF_CHAOS

public static final AddressFamily AF_CHAOS

### AF_NS

public static final AddressFamily AF_NS

### AF_ISO

public static final AddressFamily AF_ISO

### AF_OSI

public static final AddressFamily AF_OSI

### AF_ECMA

public static final AddressFamily AF_ECMA

### AF_DATAKIT

public static final AddressFamily AF_DATAKIT

### AF_CCITT

public static final AddressFamily AF_CCITT

### AF_SNA

public static final AddressFamily AF_SNA

### AF_DECnet

public static final AddressFamily AF_DECnet

### AF_DLI

public static final AddressFamily AF_DLI

### AF_LAT

public static final AddressFamily AF_LAT

### AF_HYLINK

public static final AddressFamily AF_HYLINK

### AF_APPLETALK

public static final AddressFamily AF_APPLETALK

### AF_ROUTE

public static final AddressFamily AF_ROUTE

### AF_LINK

public static final AddressFamily AF_LINK

### pseudo_AF_XTP

public static final AddressFamily pseudo_AF_XTP

### AF_COIP

public static final AddressFamily AF_COIP

### AF_CNT

public static final AddressFamily AF_CNT

### pseudo_AF_RTIP

public static final AddressFamily pseudo_AF_RTIP

### AF_IPX

public static final AddressFamily AF_IPX

### AF_SIP

public static final AddressFamily AF_SIP

### pseudo_AF_PIP

public static final AddressFamily pseudo_AF_PIP

### AF_NDRV

public static final AddressFamily AF_NDRV

### AF_ISDN

public static final AddressFamily AF_ISDN

### AF_E164

public static final AddressFamily AF_E164

### pseudo_AF_KEY

public static final AddressFamily pseudo_AF_KEY

### AF_INET6

public static final AddressFamily AF_INET6

### AF_NATM

public static final AddressFamily AF_NATM

### AF_SYSTEM

public static final AddressFamily AF_SYSTEM

### AF_NETBIOS

public static final AddressFamily AF_NETBIOS

### AF_PPP

public static final AddressFamily AF_PPP

### AF_ATM

public static final AddressFamily AF_ATM

### pseudo_AF_HDRCMPLT

public static final AddressFamily pseudo_AF_HDRCMPLT

### AF_NETGRAPH

public static final AddressFamily AF_NETGRAPH

### AF_AX25

public static final AddressFamily AF_AX25

### AF_KEY

public static final AddressFamily AF_KEY

### AF_NETLINK

public static final AddressFamily AF_NETLINK

### AF_RDS

public static final AddressFamily AF_RDS

### AF_PPPOX

public static final AddressFamily AF_PPPOX

### AF_LLC

public static final AddressFamily AF_LLC

### AF_IB

public static final AddressFamily AF_IB

### AF_MPLS

public static final AddressFamily AF_MPLS

### AF_CAN

public static final AddressFamily AF_CAN

### AF_TIPC

public static final AddressFamily AF_TIPC

### AF_BLUETOOTH

public static final AddressFamily AF_BLUETOOTH

### AF_ALG

public static final AddressFamily AF_ALG

### AF_VSOCK

public static final AddressFamily AF_VSOCK

### AF_KCM

public static final AddressFamily AF_KCM

### AF_XDP

public static final AddressFamily AF_XDP

### AF_MAX

public static final AddressFamily AF_MAX

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static AddressFamily[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AddressFamily valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`